Subject: Re: bug#72863: 30.0.50; tree-sitter elixir-ts-mode hangs and memory leak on some elixir and heex code

From: Yuan Fu <[email-masked]>
Date: Tue, 10 Sep 2024 20:45:26 -0700

> On Sep 8, 2024, at 12:48 AM, Yuan Fu <[email-masked]> wrote:
> 
> 
> 
>> On Sep 8, 2024, at 12:02 AM, Eli Zaretskii <[email-masked]> wrote:
>> 
>>> From: Yuan Fu <[email-masked]>
>>> Date: Sat, 7 Sep 2024 22:57:29 -0700
>>> Cc: [email-masked],
>>> [email-masked],
>>> [email-masked]
>>> 
>>> 
>>> 
>>>> On Sep 7, 2024, at 10:54 PM, Eli Zaretskii <[email-masked]> wrote:
>>>> 
>>>>> From: Yuan Fu <[email-masked]>
>>>>> Date: Sat, 7 Sep 2024 22:44:53 -0700
>>>>> Cc: Wilhelm Kirschbaum <[email-masked]>,
>>>>> Eli Zaretskii <[email-masked]>,
>>>>> [email-masked]
>>>>> 
>>>>> Meanwhile, I want to push the fix for the other bug I discovered to emacs-30. Eli, I wrote a debugging function that prints parser states, naturally this function isn’t called anywhere so there’ll be a compiler warning, what should I do in this case?
>>>> 
>>>> Why would there be a compiler warning?  What kind of warning?
>>> 
>>> A function-not-used warning. Maybe it’s an lldb thing?
>> 
>> If the function is not static, there should be no such warning.
> 
> Ah, you’re right, I marked it static. Thanks!
> 
> Yuan

Good news: not an Emacs bug. Bad news: a tree-sitter bug. Turns out I made an error in my test program, which is the reason why Emacs hangs but the test program doesn’t. Once I fixed the error, the test program hangs too. I submitted a bug report to tree-sitter: https://github.com/tree-sitter/tree-sitter/issues/3620

I can finally sleep soundly at night now; and I guess tree-sitter dev will start having sleepless nights :-)

Yuan